You're viewing the API v4 documentation, recommended for new integrations.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Return Configurations

Our API allows you to retrieve return configuration sets that are linked to return registrations.

Overview

These requests allow you to get return configuration sets, which include configuration about supported carriers, smart return segments, and other configuration entities with a single HTTPS request.

You can retrieve return configurations associated with your account and a specific return configuration set using its unique ID through these APIs. Additionally, you can retrieve document templates that are used to generate return labels, packing slips, and other documents for return registrations.

Get Return Configuration Sets

You can retrieve a list of return configuration sets for your account using the v4/returns/returns-configurations endpoint.

List Return Configuration

get

Return configuration (sets) represent a bundle of configurations, that are available with that configuration code on an account. The configuration set for instance groups configurations, such as Courier APIs for a specific country or language.

Authorizations
AuthorizationstringRequired

Send Authorization: Parcellab-API-Token <encoded-token>.

<encoded-token> = base64(account_id:token) as provided in the portal.

Query parameters
accountinteger[]Optional
limitintegerOptional

Number of results to return per page.

offsetintegerOptional

The initial index from which to return the results.

orderingstringOptional

Order results by any response field. Prefix with - for descending (e.g. -id).

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get/v4/returns/returns-configurations/
GET /v4/returns/returns-configurations/ HTTP/1.1
Authorization: Parcellab-API-Token YOUR_BASE64_ENCODED_API_TOKEN
Accept: */*
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "id": 1,
      "account": 1,
      "code": "text",
      "client": null,
      "courier_mappings": [
        {
          "courier_api": {
            "account": 1,
            "name": "text",
            "courier_code": "text",
            "identifier": "text",
            "has_oauth_credential": true,
            "service_levels": [
              {
                "key": "text",
                "name": "text",
                "type": "destination-country-iso3",
                "updated_at": "2026-01-01T00:00:00.000Z"
              }
            ],
            "service_name": "text",
            "service_config": "text",
            "is_pydantic_schema": true
          },
          "filter": {}
        }
      ],
      "returns_order_api": null,
      "returns_rules": null,
      "returnable_periods": [
        {
          "description": "text",
          "trial_period": 1,
          "customer_service_period_days": null,
          "grace_period": 1,
          "grace_period_shipping_date": 1,
          "grace_period_delivery_date": 1,
          "is_warranty_period": true,
          "filter": {}
        }
      ]
    }
  ]
}

Get a Return Configuration

You can retrieve a specific return configuration set using the v4/returns/returns-configurations/{id} endpoint.

Retrieve Return Configuration

get

Return configuration (sets) represent a bundle of configurations, that are available with that configuration code on an account. The configuration set for instance groups configurations, such as Courier APIs for a specific country or language.

Authorizations
AuthorizationstringRequired

Send Authorization: Parcellab-API-Token <encoded-token>.

<encoded-token> = base64(account_id:token) as provided in the portal.

Path parameters
idintegerRequired

A unique integer value identifying this Returns Portal.

Responses
200Success
application/json

Represents a return configuration set, including courier mappings and returnable periods

idintegerRead-onlyRequired
accountintegerRequired
codestring · max: 128Required

Configuration code of the return configuration

clientinteger · nullableOptional

Default client for this portal. Shopify Order API registrations override this with the *.myshopify.com domain.

returns_order_apiinteger · nullableOptional

The API to be used to fetch order information

returns_rulesinteger · nullableOptional

Returns reasons to use for this portal

get/v4/returns/returns-configurations/{id}/
GET /v4/returns/returns-configurations/{id}/ HTTP/1.1
Authorization: Parcellab-API-Token YOUR_BASE64_ENCODED_API_TOKEN
Accept: */*
{
  "id": 1,
  "account": 1,
  "code": "text",
  "client": null,
  "courier_mappings": [
    {
      "courier_api": {
        "account": 1,
        "name": "text",
        "courier_code": "text",
        "identifier": "text",
        "has_oauth_credential": true,
        "service_levels": [
          {
            "key": "text",
            "name": "text",
            "type": "destination-country-iso3",
            "updated_at": "2026-01-01T00:00:00.000Z"
          }
        ],
        "service_name": "text",
        "service_config": "text",
        "is_pydantic_schema": true
      },
      "filter": {}
    }
  ],
  "returns_order_api": null,
  "returns_rules": null,
  "returnable_periods": [
    {
      "description": "text",
      "trial_period": 1,
      "customer_service_period_days": null,
      "grace_period": 1,
      "grace_period_shipping_date": 1,
      "grace_period_delivery_date": 1,
      "is_warranty_period": true,
      "filter": {}
    }
  ]
}

Get Document Templates

You can retrieve return-related document templates using the v4/returns/document-templates endpoint.

List Document Templates

get

Document templates are used to generate return labels, packing slips, and other documents for return registrations.

Authorizations
AuthorizationstringRequired

Send Authorization: Parcellab-API-Token <encoded-token>.

<encoded-token> = base64(account_id:token) as provided in the portal.

Query parameters
accountinteger[]Optional
limitintegerOptional

Number of results to return per page.

offsetintegerOptional

The initial index from which to return the results.

orderingstringOptional

Order results by any response field. Prefix with - for descending (e.g. -id).

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get/v4/returns/document-templates/
GET /v4/returns/document-templates/ HTTP/1.1
Authorization: Parcellab-API-Token YOUR_BASE64_ENCODED_API_TOKEN
Accept: */*
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "id": 1,
      "account": 1,
      "key": "text",
      "content": "text",
      "client_key": null,
      "identifier": "text"
    }
  ]
}

Get a Translation

You can retrieve a Returns Portal translation using the v4/returns/translations/{id} endpoint.

Retrieve Translation

get

Read a Returns Portal v2 translation and set individual strings by key.

Complements the full-config replace: this sets one or more keys in place and leaves every other string untouched (the on-page inline editor's model).

Authorizations
AuthorizationstringRequired

Send Authorization: Parcellab-API-Token <encoded-token>.

<encoded-token> = base64(account_id:token) as provided in the portal.

Path parameters
idintegerRequired

A unique integer value identifying this Returns Translation.

Responses
200Success
application/json

A Returns Portal translation (one language) with its full key/value config.

idintegerRead-onlyRequired
accountintegerRead-onlyRequired
languagestring · enumRequired
  • aa - Afar (Aa)
  • ab - Abkhazian (Ab)
  • ae - Avestan (Ae)
  • af - Afrikaans (Af)
  • ak - Akan (Ak)
  • am - Amharic (Am)
  • an - Aragonese (An)
  • ar - Arabic (Ar)
  • as - Assamese (As)
  • av - Avaric (Av)
  • ay - Aymara (Ay)
  • az - Azerbaijani (Az)
  • ba - Bashkir (Ba)
  • be - Belarusian (Be)
  • bg - Bulgarian (Bg)
  • bi - Bislama (Bi)
  • bm - Bambara (Bm)
  • bn - Bengali (Bn)
  • bo - Tibetan (Bo)
  • br - Breton (Br)
  • bs - Bosnian (Bs)
  • ca - Catalan (Ca)
  • ce - Chechen (Ce)
  • ch - Chamorro (Ch)
  • co - Corsican (Co)
  • cr - Cree (Cr)
  • cs - Czech (Cs)
  • cu - Church Slavic (Cu)
  • cv - Chuvash (Cv)
  • cy - Welsh (Cy)
  • da - Danish (Da)
  • de - German (De)
  • dv - Divehi (Dv)
  • dz - Dzongkha (Dz)
  • ee - Ewe (Ee)
  • el - Modern Greek (1453-) (El)
  • en - English (En)
  • eo - Esperanto (Eo)
  • es - Spanish (Es)
  • et - Estonian (Et)
  • eu - Basque (Eu)
  • fa - Persian (Fa)
  • ff - Fulah (Ff)
  • fi - Finnish (Fi)
  • fj - Fijian (Fj)
  • fo - Faroese (Fo)
  • fr - French (Fr)
  • fy - Western Frisian (Fy)
  • ga - Irish (Ga)
  • gd - Scottish Gaelic (Gd)
  • gl - Galician (Gl)
  • gn - Guarani (Gn)
  • gu - Gujarati (Gu)
  • gv - Manx (Gv)
  • ha - Hausa (Ha)
  • he - Hebrew (He)
  • hi - Hindi (Hi)
  • ho - Hiri Motu (Ho)
  • hr - Croatian (Hr)
  • ht - Haitian (Ht)
  • hu - Hungarian (Hu)
  • hy - Armenian (Hy)
  • hz - Herero (Hz)
  • ia - Interlingua (International Auxiliary Language Association) (Ia)
  • id - Indonesian (Id)
  • ie - Interlingue (Ie)
  • ig - Igbo (Ig)
  • ii - Sichuan Yi (Ii)
  • ik - Inupiaq (Ik)
  • io - Ido (Io)
  • is - Icelandic (Is)
  • it - Italian (It)
  • iu - Inuktitut (Iu)
  • ja - Japanese (Ja)
  • jv - Javanese (Jv)
  • ka - Georgian (Ka)
  • kg - Kongo (Kg)
  • ki - Kikuyu (Ki)
  • kj - Kuanyama (Kj)
  • kk - Kazakh (Kk)
  • kl - Kalaallisut (Kl)
  • km - Khmer (Km)
  • kn - Kannada (Kn)
  • ko - Korean (Ko)
  • kr - Kanuri (Kr)
  • ks - Kashmiri (Ks)
  • ku - Kurdish (Ku)
  • kv - Komi (Kv)
  • kw - Cornish (Kw)
  • ky - Kirghiz (Ky)
  • la - Latin (La)
  • lb - Luxembourgish (Lb)
  • lg - Ganda (Lg)
  • li - Limburgan (Li)
  • ln - Lingala (Ln)
  • lo - Lao (Lo)
  • lt - Lithuanian (Lt)
  • lu - Luba-Katanga (Lu)
  • lv - Latvian (Lv)
  • mg - Malagasy (Mg)
  • mh - Marshallese (Mh)
  • mi - Maori (Mi)
  • mk - Macedonian (Mk)
  • ml - Malayalam (Ml)
  • mn - Mongolian (Mn)
  • mr - Marathi (Mr)
  • ms - Malay (Macrolanguage) (Ms)
  • mt - Maltese (Mt)
  • my - Burmese (My)
  • na - Nauru (Na)
  • nb - Norwegian Bokmål (Nb)
  • nd - North Ndebele (Nd)
  • ne - Nepali (Macrolanguage) (Ne)
  • ng - Ndonga (Ng)
  • nl - Dutch (Nl)
  • nn - Norwegian Nynorsk (Nn)
  • no - Norwegian (No)
  • nr - South Ndebele (Nr)
  • nv - Navajo (Nv)
  • ny - Chichewa (Ny)
  • oc - Occitan (Post 1500) (Oc)
  • oj - Ojibwa (Oj)
  • om - Oromo (Om)
  • or - Oriya (Macrolanguage) (Or)
  • os - Ossetian (Os)
  • pa - Panjabi (Pa)
  • pi - Pali (Pi)
  • pl - Polish (Pl)
  • ps - Pushto (Ps)
  • pt - Portuguese (Pt)
  • qu - Quechua (Qu)
  • rm - Romansh (Rm)
  • rn - Rundi (Rn)
  • ro - Romanian (Ro)
  • ru - Russian (Ru)
  • rw - Kinyarwanda (Rw)
  • sa - Sanskrit (Sa)
  • sc - Sardinian (Sc)
  • sd - Sindhi (Sd)
  • se - Northern Sami (Se)
  • sg - Sango (Sg)
  • sh - Serbo-Croatian (Sh)
  • si - Sinhala (Si)
  • sk - Slovak (Sk)
  • sl - Slovenian (Sl)
  • sm - Samoan (Sm)
  • sn - Shona (Sn)
  • so - Somali (So)
  • sq - Albanian (Sq)
  • sr - Serbian (Sr)
  • ss - Swati (Ss)
  • st - Southern Sotho (St)
  • su - Sundanese (Su)
  • sv - Swedish (Sv)
  • sw - Swahili (Macrolanguage) (Sw)
  • ta - Tamil (Ta)
  • te - Telugu (Te)
  • tg - Tajik (Tg)
  • th - Thai (Th)
  • ti - Tigrinya (Ti)
  • tk - Turkmen (Tk)
  • tl - Tagalog (Tl)
  • tn - Tswana (Tn)
  • to - Tonga (Tonga Islands) (To)
  • tr - Turkish (Tr)
  • ts - Tsonga (Ts)
  • tt - Tatar (Tt)
  • tw - Twi (Tw)
  • ty - Tahitian (Ty)
  • ug - Uighur (Ug)
  • uk - Ukrainian (Uk)
  • ur - Urdu (Ur)
  • uz - Uzbek (Uz)
  • ve - Venda (Ve)
  • vi - Vietnamese (Vi)
  • vo - Volapük (Vo)
  • wa - Walloon (Wa)
  • wo - Wolof (Wo)
  • xh - Xhosa (Xh)
  • yi - Yiddish (Yi)
  • yo - Yoruba (Yo)
  • za - Zhuang (Za)
  • zh - Chinese (Zh)
  • zu - Zulu (Zu)
Possible values:
configobject · ConfigurationRead-onlyRequired
created_atstring · date-timeRead-onlyRequired
updated_atstring · date-timeRead-onlyRequired
get/v4/returns/translations/{id}/
GET /v4/returns/translations/{id}/ HTTP/1.1
Authorization: Parcellab-API-Token YOUR_BASE64_ENCODED_API_TOKEN
Accept: */*
{
  "id": 1,
  "account": 1,
  "language": "aa",
  "config": {},
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Partially Update a Translation

You can partially update translation keys for a Returns Portal translation using the v4/returns/translations/{id}/strings endpoint.

Set Translation Strings

patch

Read a Returns Portal v2 translation and set individual strings by key.

Complements the full-config replace: this sets one or more keys in place and leaves every other string untouched (the on-page inline editor's model).

Authorizations
AuthorizationstringRequired

Send Authorization: Parcellab-API-Token <encoded-token>.

<encoded-token> = base64(account_id:token) as provided in the portal.

Path parameters
idintegerRequired

A unique integer value identifying this Returns Translation.

Body

Request body for setting one or more translation strings by dotted key.

Responses
200Success
application/json

Request body for setting one or more translation strings by dotted key.

patch/v4/returns/translations/{id}/strings/
PATCH /v4/returns/translations/{id}/strings/ HTTP/1.1
Authorization: Parcellab-API-Token YOUR_BASE64_ENCODED_API_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
{
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Last updated

Was this helpful?